# Company Information

## Get Company Information

> Retrieves the details of this account. The account is determined by the API keys you use.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Accounts","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/CompanyInformation":{"get":{"summary":"Get Company Information","description":"Retrieves the details of this account. The account is determined by the API keys you use.","operationId":"getCompanyInformation","tags":["Company Information"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"The unique identifier for the account."}],"responses":{"200":{"description":"An account object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account"}}}}}}}},"components":{"schemas":{"Account":{"type":"object","properties":{"CompanyName":{"type":"string","description":"Brand name for the account; usually the legal name of the company."},"Website":{"type":"string","format":"uri","description":"Official website URL for the brand or company."},"PrimaryPhoneNumber":{"type":"string","description":"Primary domestic contact number for the account."},"PrimaryPhoneNumberCountry":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code representing the country of the primary phone number."},"Timezone":{"type":"string","description":"Timezone used for the account."},"Currency":{"type":"string","description":"Three-letter ISO 4217 code representing the account's default currency."},"RegisteredForIndirectTax":{"type":"string","description":"Whether the account is registered for indirect tax, such as VAT, GST, or HST."},"IndirectTaxNumber":{"type":"string","description":"Unique identifier used for VAT, GST, or HST registration."},"OrganizationType":{"type":"string","description":"Organization type for the account.","enum":["NONP_GOV","CORP","SOLE_IND","LLC_LLP_LLS","TRUST","SOLE_TRD","PARTNERS","LLC","LLP","COMPANY","GOVERNMENT","OTHER"]},"EinSsnForeignTaxId":{"type":"string","description":"Employer Identification Number for the account, or in some cases, the Social Security Number (SSN) of the company owner, or a Tax ID number for non-US companies."},"CorporateAddress":{"$ref":"#/components/schemas/Address","description":"The primary address for the account."},"BillingAddress":{"$ref":"#/components/schemas/Address","description":"The billing address for the account."},"FinancialContact":{"$ref":"#/components/schemas/Contact","description":"A financial contact for the account (e.g., CFO)."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this object in the impact.com API."},"Industry":{"type":"object","properties":{"IndustryId":{"type":"string","description":"Unique identifier for the selected industry."},"IndustryName":{"type":"string","description":"The display name for the selected industry."}},"description":"The industry that the account most closely associates with."},"SecondaryPhoneNumber":{"type":"string","description":"A secondary domestic contact phone number for the account."},"SecondaryPhoneNumberCountry":{"type":"string","description":"Two-letter country code. See ISO 3166-1 alpha-2."},"MinimumContactRating":{"type":"string","description":"Minimum amount of star rating (1 lowest, 5 highest) a partner must have to see contact information for the account."},"TechnicalContact":{"$ref":"#/components/schemas/Contact","description":"A technical contact for the account (e.g., CTO)."},"SecurityContact":{"$ref":"#/components/schemas/Contact","description":"This person is your company's point of contact for compliance and security policy matters. They handle security- and compliance-related issues for your business."},"CommercialContact":{"$ref":"#/components/schemas/Contact","description":"A commercial or marketing contact for the account (e.g., CMO)."}}},"Address":{"type":"object","properties":{"AddressLine1":{"type":"string","description":"Address line 1 (address number, street name)"},"AddressLine2":{"type":"string","description":"Address line 2 (building, unit, suite, etc. number)"},"City":{"type":"string","description":"City, district, suburb, town, or village"},"State":{"type":"string","description":"State or territory"},"PostalCode":{"type":"string","description":"ZIP or postal code"},"Country":{"type":"string","description":"Two-letter country code. See ISO 3166-1 alpha-2."}}},"Contact":{"type":"object","properties":{"UserId":{"type":"string","description":"Unique impact.com member account ID for the user."},"Name":{"type":"string","description":"The contact's full name."},"Email":{"type":"string","format":"email","description":"The contact's email address."},"WorkPhoneNumber":{"type":"string","description":"The contact's work phone number."},"WorkPhoneNumberCountry":{"type":"string","description":"Two-letter country code for the work phone number. See ISO 3166-1 alpha-2."},"CellPhoneNumber":{"type":"string","description":"The contact's cell phone number."},"CellPhoneNumberCountry":{"type":"string","description":"Two-letter country code for the cell phone number. See ISO 3166-1 alpha-2."}}}}}}
```

## Update Company Information

> Updates this account by setting the values of the parameters passed. Any parameters not provided will be left unchanged.\
> \
> Note: The following parameters cannot be updated via API: Timezone, Currency, RegisteredForIndirectTax, IndirectTaxNumber. The following parameters can only be updated in the platform: Industry, FinancialContact, TechnicalContact, SecurityContact, CommercialContact.\
> \
> The corporate address fields (\`CorporateAddressLine1\`, \`CorporateAddressLine2\`, \`CorporateAddressCity\`, \`CorporateAddressPostalCode\`, \`CorporateAddressCountry\`) update the corporate address. The billing address fields (\`BillingAddressLine1\`, \`BillingAddressLine2\`, \`BillingAddressCity\`, \`BillingAddressPostalCode\`, \`BillingAddressCountry\`) update the billing address. These are returned as nested \`CorporateAddress\` and \`BillingAddress\` objects by the GET endpoint.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Accounts","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/CompanyInformation":{"put":{"summary":"Update Company Information","description":"Updates this account by setting the values of the parameters passed. Any parameters not provided will be left unchanged.\n\nNote: The following parameters cannot be updated via API: Timezone, Currency, RegisteredForIndirectTax, IndirectTaxNumber. The following parameters can only be updated in the platform: Industry, FinancialContact, TechnicalContact, SecurityContact, CommercialContact.\n\nThe corporate address fields (`CorporateAddressLine1`, `CorporateAddressLine2`, `CorporateAddressCity`, `CorporateAddressPostalCode`, `CorporateAddressCountry`) update the corporate address. The billing address fields (`BillingAddressLine1`, `BillingAddressLine2`, `BillingAddressCity`, `BillingAddressPostalCode`, `BillingAddressCountry`) update the billing address. These are returned as nested `CorporateAddress` and `BillingAddress` objects by the GET endpoint.","operationId":"updateCompanyInformation","tags":["Company Information"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"The unique identifier for the account."}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"CompanyName":{"type":"string","description":"The name used for the account, which is usually the legal name for the associated company."},"Website":{"type":"string","description":"The official company website URL for the account."},"PrimaryPhoneNumber":{"type":"string","description":"The primary domestic contact number for the account."},"PrimaryPhoneNumberCountry":{"type":"string","description":"Two-letter country code. See ISO 3166-1 alpha-2. Required if PrimaryPhoneNumber is provided."},"OrganizationType":{"type":"string","description":"Organization type for the account.","enum":["NONP_GOV","CORP","SOLE_IND","LLC_LLP_LLS","TRUST","SOLE_TRD","PARTNERS","LLC","LLP","COMPANY","GOVERNMENT","OTHER"]},"EinSsnForeignTaxId":{"type":"string","description":"Employer Identification Number for the account, or in some cases, the Social Security Number (SSN) of the company owner, or a Tax ID number for non-US companies."},"CorporateAddressLine1":{"type":"string","description":"Address line 1 (address number, street name)"},"CorporateAddressLine2":{"type":"string","description":"Address line 2 (building, unit, suite, etc. number)"},"CorporateAddressCity":{"type":"string","description":"City, district, suburb, town, or village"},"CorporateAddressPostalCode":{"type":"string","description":"ZIP or postal code"},"CorporateAddressCountry":{"type":"string","description":"Two-letter country code. See ISO 3166-1 alpha-2."},"BillingAddressLine1":{"type":"string","description":"Address line 1 (address number, street name)"},"BillingAddressLine2":{"type":"string","description":"Address line 2 (building, unit, suite, etc. number)"},"BillingAddressCity":{"type":"string","description":"City, district, suburb, town, or village"},"BillingAddressPostalCode":{"type":"string","description":"ZIP or postal code"},"BillingAddressCountry":{"type":"string","description":"Two-letter country code. See ISO 3166-1 alpha-2."},"SecondaryPhoneNumber":{"type":"string","description":"A secondary domestic contact phone number for the account."},"SecondaryPhoneNumberCountry":{"type":"string","description":"Two-letter country code. See ISO 3166-1 alpha-2. Required if SecondaryPhoneNumber is provided."}}}}}},"responses":{"200":{"description":"The request was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the update was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the updated resource."}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v12/reference/accounts/company-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
